org.apache.sysds.parser

## Enum Expression.RelationalOp

- java.lang.Object
- - java.lang.Enum<Expression.RelationalOp>
  - - org.apache.sysds.parser.Expression.RelationalOp

All Implemented Interfaces:
  Serializable, Comparable<Expression.RelationalOp>

Enclosing class:
  Expression

    public static enum Expression.RelationalOp
    extends Enum<Expression.RelationalOp>

Relational operators.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EQUAL`
`GREATER`
`GREATEREQUAL`
`INVALID`
`LESS`
`LESSEQUAL`
`NOTEQUAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static Expression.RelationalOp` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Expression.RelationalOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LESSEQUAL

    public static final Expression.RelationalOp LESSEQUAL

#### LESS

    public static final Expression.RelationalOp LESS

#### GREATEREQUAL

    public static final Expression.RelationalOp GREATEREQUAL

#### GREATER

    public static final Expression.RelationalOp GREATER

#### EQUAL

    public static final Expression.RelationalOp EQUAL

#### NOTEQUAL

    public static final Expression.RelationalOp NOTEQUAL

#### INVALID

    public static final Expression.RelationalOp INVALID

### Method Detail

#### values

    public static Expression.RelationalOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Expression.RelationalOp c : Expression.RelationalOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Expression.RelationalOp valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null